Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

upgrade mocha deps to avoid require 'mocha' deprecation

  • Loading branch information...
commit 46eb2e54fb550d44037920663552416f248902bb 1 parent b7bb84b
@cldwalker authored
Showing with 2 additions and 3 deletions.
  1. +2 −2 .gemspec
  2. +0 −1  test/test_helper.rb
View
4 .gemspec
@@ -13,8 +13,8 @@ Gem::Specification.new do |s|
s.required_rubygems_version = ">= 1.3.6"
s.add_development_dependency 'bacon', '>= 1.1.0'
s.add_development_dependency 'bacon-bits'
- s.add_development_dependency 'mocha', '~> 0.9.8'
- s.add_development_dependency 'mocha-on-bacon'
+ s.add_development_dependency 'mocha', '~> 0.12.1'
+ s.add_development_dependency 'mocha-on-bacon', '~> 0.2.1'
s.files = Dir.glob(%w[{lib,test}/**/*.rb bin/* [A-Z]*.{txt,rdoc} ext/**/*.{rb,c} **/deps.rip]) + %w{Rakefile .gemspec .travis.yml}
s.files += Dir.glob('test/*.yml')
s.extra_rdoc_files = ["README.rdoc", "LICENSE.txt"]
View
1  test/test_helper.rb
@@ -1,6 +1,5 @@
require 'bacon'
require 'bacon/bits'
-require 'mocha'
require 'mocha-on-bacon'
require 'alias'
include Alias
Please sign in to comment.
Something went wrong with that request. Please try again.